The economic protocol
=====================

The economic protocol provides the rules for checking the validity of the blocks and operations, and for updating the blockchain state accordingly, by applying new valid blocks and operations on the current blockchain state. These rules can be changed through voting.
Thus, the
economic protocol represents the amendable part of Tezos.

This page groups the documentation helping developers and users in
understanding the basic concepts of the economic protocol
(proof-of-stake, consensus, voting, etc), its features (Michelson,
Sapling, etc), and some details about its implementation.


.. toctree::
   :maxdepth: 2

   protocol_overview

.. toctree::
   :maxdepth: 2

   consensus

.. toctree::
   :maxdepth: 2

   proof_of_stake

.. toctree::
   :maxdepth: 2

   voting

.. toctree::
   :maxdepth: 2

   michelson

.. toctree::
   :maxdepth: 2

   timelock

.. toctree::
   :maxdepth: 2

   sapling

.. toctree::
   :maxdepth: 2

   liquidity_baking

.. toctree::
   :maxdepth: 2

   global_constants

.. toctree::
   :maxdepth: 2

   token_management

.. toctree::
   :maxdepth: 2

   plugins
